Passa al contenuto principale

PurchaseCanRenewResponse

Successful response with one PurchaseCanRenew

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data objectrequired

Resource returned by the operation

purchase_idintegerrequired

Id of the purchase (GET /api/v3/purchases/{purchase_id})

can_renewbooleanrequired

Whether the purchase can be renewed now: possible from recurrence.days_renew days before the expiry, when it is set to renew and has no pending order

metarequired

Always null: only the paginated lists have a meta

Constant value: null
PurchaseCanRenewResponse
{
"error": 0,
"message": "string",
"data": {
"purchase_id": 0,
"can_renew": true
}
}